Package be.fgov.ehealth.bcp.protocol.v2

# Class Service

java.lang.Object
be.fgov.ehealth.bcp.protocol.v2.Service

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:57+02:00", comments="JAXB RI v4.0.5") public class Service extends Object implements Serializable

Java class for ServiceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ServiceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EndpointList">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element ref="{urn:be:fgov:ehealth:bcp:protocol:v2}Endpoint" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element ref="{urn:be:fgov:ehealth:bcp:protocol:v2}Cache" minOccurs="0"/>
           </sequence>
           <attribute name="Id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Service()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Cache`
  `getCache()`
  Gets the value of the cache property.
  `EndpointList`
  `getEndpointList()`
  Gets the value of the endpointList property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getName()`
  Gets the value of the name property.
  `void`
  `setCache(Cache value)`
  Sets the value of the cache property.
  `void`
  `setEndpointList(EndpointList value)`
  Sets the value of the endpointList property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Service

    public Service()

- ## Method Details

  - ### getEndpointList

    public EndpointList getEndpointList()
    Gets the value of the endpointList property.
    Returns:
      possible object is `EndpointList`

  - ### setEndpointList

    public void setEndpointList(EndpointList value)
    Sets the value of the endpointList property.
    Parameters:
      `value` - allowed object is `EndpointList`

  - ### getCache

    public Cache getCache()
    Gets the value of the cache property.
    Returns:
      possible object is `Cache`

  - ### setCache

    public void setCache(Cache value)
    Sets the value of the cache property.
    Parameters:
      `value` - allowed object is `Cache`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`